Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalHierarchyServlet

    java.lang.Object
      weblogic.servlet.jsp.JspBase
          com.bea.jsptools.common.servlets.jsp.ToolsJspBase
              com.bea.jsptools.portal.PortalHierarchyServlet

All Implemented Interfaces:
  HttpJspPage, com.bea.jsptools.p13n.common.servlets.jsp.JspConstants, JspPage, Servlet

public abstract class PortalHierarchyServlet
extends com.bea.jsptools.common.servlets.jsp.ToolsJspBase

Field Summary
`protected static String` | `CHECK_GIF`
`protected static String` | `EMPTY_ICON_GIF`
`static String` | `ID_LIBRARY`
`static String` | `ID_PORTAL`
`static String` | `NODE_DELIMITER`

Fields inherited from class com.bea.jsptools.common.servlets.jsp.ToolsJspBase
`debug, DESTINATION_TAG`

Fields inherited from class weblogic.servlet.jsp.JspBase
`_servletConfig`

Fields inherited from interface com.bea.jsptools.p13n.common.servlets.jsp.JspConstants
`DATE_FORMAT, DEFAULT_DESTINATION, DEFAULT_SUCCESSOR, DESTINATION_URI, IMMUTABLE_SERVICEMANAGER_HOME_PAGE, JSP_CALENDAR_FEATURES, JSP_COMMERCE_CALENDAR_FEATURES, JSP_PORTALS_BASE_DIRECTORY, JSP_TOOLS_ADMIN_HOME, JSP_TOOLS_BASE_DIRECTORY, JSP_TOOLS_DOC_RTR, JSP_TOOLS_GUIDE_FEATURES, JSP_TOOLS_PROPERTYMGMT_ADMIN_HOME, JSP_TOOLS_USERMGMT_ADMIN_HOME, JSP_TOOLS_UTIL_DIRECTORY, JSP_UTIL_CALENDAR, JSP_UTIL_HOME_HDR, P13N_CACHED_REQUEST, P13N_CACHED_SESSION, REPOSITORY_DIR, SERVICEMANAGER_COOKIE_TIMEOUT, SERVICEMANAGER_CURRENT_PAGE, SERVICEMANAGER_HOME_PAGE, SERVICEMANAGER_LOGGED_IN, SERVICEMANAGER_OVERRIDE_BOOK, SERVICEMANAGER_SESSION_TIMEOUT, SERVICEMANAGER_SUCCESSOR, SERVICEMANAGER_USER, SERVLET_CONFIG, TRAFFIC_URI, TRANSACTION_SERVICE, TRANSACTION_TIMEOUT, USER_TRANS_TIMEOUT, WORKING_DIR, WORKING_DIR_FILES`

Constructor Summary
`PortalHierarchyServlet()`

Method Summary
`String` | `generateTree(String currentWebApp, int pageSize, HttpServletRequest request, String language)` The purpose of this method is to generate the tree structure to be displayed on the JSP.
`static void` | `main(String[] args)`

Methods inherited from class com.bea.jsptools.common.servlets.jsp.ToolsJspBase
`cnvrtSC, escapeQuotes, getJspName, getJspURI, getJspURINoContext, getLoggedIn, getRequestURI, getSessionValue, pathFromRequest, putSessionValue, removeSessionValue, setLoggedIn, setSessionValue`

Methods inherited from class weblogic.servlet.jsp.JspBase
`_jspService, destroy, getServletConfig, getServletInfo, init, jspDestroy, jspInit, service`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHECK_GIF

    protected static String CHECK_GIF

### EMPTY_ICON_GIF

    protected static String EMPTY_ICON_GIF

### ID_LIBRARY

    public static final String ID_LIBRARY

See Also:
  Constant Field Values

### ID_PORTAL

    public static final String ID_PORTAL

See Also:
  Constant Field Values

### NODE_DELIMITER

    public static final String NODE_DELIMITER

Constructor Detail

### PortalHierarchyServlet

    public PortalHierarchyServlet()

Method Detail

### generateTree

    public String generateTree(String currentWebApp,
                               int pageSize,
                               HttpServletRequest request,
                               String language)

  The purpose of this method is to generate the tree structure to be displayed on the JSP. For all the nodes in the database which are being displayed, it will print out the structure in the format " Tree[0] = new TreeNode("", "", "", "#") ". The javascript in the jsp will then take care of properly displaying the nodes.

### main

    public static void main(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved